## GstVaapiDecoderH264 GstVaapiDecoderH264 — H.264 decoder |

## Functions

GstVaapiDecoder * | gst_vaapi_decoder_h264_new ()

## Types and Values

| GstVaapiDecoderH264

## Description

## Functions

### gst_vaapi_decoder_h264_new ()

    GstVaapiDecoder *
    gst_vaapi_decoder_h264_new (GstVaapiDisplay *display,
                                GstCaps *caps);

Creates a new GstVaapiDecoder for MPEG-2 decoding. The `caps` can hold extra information like codec-data and pictured coded size.

#### Parameters

display | a GstVaapiDisplay |
caps | a GstCaps holding codec information |

#### Returns

the newly allocated GstVaapiDecoder object

## Types and Values

### GstVaapiDecoderH264

    typedef struct _GstVaapiDecoderH264 GstVaapiDecoderH264;

A decoder based on H264.